オプションチェーン(単一取引所)
1取引所の1満期日について、すべての権利行使価格のコールとプットを並べて返します。建玉、出来高、マーク価格、マーク/ビッド/アスクのIV、グリークスは取引所の公表値です。
/api/sd/options/chainリクエスト
クエリパラメータ
| 名前 | 型 | 必須 | デフォルト | 指定可能な値 | 説明 |
|---|---|---|---|---|---|
| coin | string | 必須 | — | — | 銘柄シンボル。大文字と小文字は区別しません(例:`BTC`)。値が未指定または不正な場合は400を返します。 例: BTC |
| exchange | string | 必須 | — | deribit, binance, bybit, okx, gate, coincall | 取引所ID。ここでは`all`は指定できません。オプションチェーンは1つの取引所に属するためです。 例: okx |
| expiry | string | 任意 | — | — | UTCの満期日(`YYYY-MM-DD`形式)。デフォルト:直近の満期日。`all`は指定できません。 |
| kind | string | 任意 | — | inverse, linear | 取引所がコイン決済(`inverse`)とステーブルコイン決済(`linear`)の両方のオプションを上場している場合の契約ファミリー。デフォルト:その満期日で建玉が大きい方のファミリー。 |
| limit | integer | 任意 | 100 | ≥ 1 · ≤ 500 | 1ページあたりの権利行使価格の数(1行 = 1つの権利行使価格とそのコールおよびプット)。 |
| offset | integer | 任意 | 0 | ≥ 0 · ≤ 100000 | スキップする権利行使価格の数。 |
リクエスト例
curl -s "https://www.coinboss.com/api/sd/options/chain?coin=BTC&exchange=okx"レスポンスフィールド
フィールド表は実際のレスポンスから生成しているため、エンドポイントが返す内容をそのまま反映しています。パスでは、配列の要素をa[]、銘柄や取引所などの動的な名前をキーとするオブジェクトを{*}で表します。
| フィールド | 型 | 単位 | 説明 |
|---|---|---|---|
| success | boolean | — | リクエストが成功した場合はtrue。失敗した場合、ボディは`{ success: false, code, error, request_id }`になります。 |
| schema | string | — | このレスポンスのスキーマID。既存フィールドの意味または型が変わった場合にのみ変更されます。 |
| now | number | ms | レスポンスを生成した時点のサーバー時刻。 |
| coin | string | — | 銘柄シンボル(大文字)。 |
| exchange | string | — | 取引所ID(小文字)。 |
| expiry | string | — | 満期日(UTC)。`YYYY-MM-DD`形式、または`all`。 |
| expiry_ts | number | ms | 満期時刻。 |
| days_left | number | days | 満期までの日数。 |
| kind | string | — | 契約ファミリー:`inverse`(コイン決済)または`linear`(ステーブルコイン決済)。 |
| kinds_available | array | — | 取引所がこの満期日で上場している契約ファミリー。 |
| kinds_available[] | string | — | 取引所がこの満期日で上場している契約ファミリー。 |
| expiries_available | array | — | 現在契約が存在する満期日。 |
| expiries_available[] | string | — | 現在契約が存在する満期日。 |
| underlying | string | — | 契約ファミリーの原資産。 |
| settle | string | — | 契約ファミリーの決済通貨。 |
| contract_size | number | coin | 1契約あたりの原資産コインの数量。 |
| underlying_price | number | USD | 取引所がこの満期日について公表するフォワード価格 / 原資産価格。 |
| index_price | number | USD | USD換算に使用する現物インデックス価格(集計値では、各取引所独自のインデックス価格の中央値)。 |
| total_strikes | number | — | ページング前の、この満期日で利用可能な権利行使価格の数。 |
| limit | number | — | 適用された行数の上限。 |
| offset | number | — | スキップした行数。 |
| returned | number | — | このページで返された権利行使価格の数。 |
| rows | array | — | 権利行使価格ごとに1行(そのコールとプットを含む)。 |
| rows[] | object | — | 権利行使価格ごとに1行(そのコールとプットを含む)。 |
| rows[].strike | number | USD | 権利行使価格。 |
| rows[].call | object | — | この権利行使価格のコール契約。取引所が上場していない場合は`null`。 |
| rows[].call.instrument | string | — | 取引所の表記どおりの契約名。 |
| rows[].call.oi_contracts | number | contracts | 取引所の数え方による契約数ベースの建玉。 |
| rows[].call.oi_coin | number | coin | 原資産コイン単位の建玉。 |
| rows[].call.oi_usd | number | USD | USD建て想定元本としての建玉:コイン数量 × 現物インデックス価格。片側。 |
| rows[].call.vol_contracts_24h | number | contracts | 取引所の数え方による契約数ベースの24h出来高。 |
| rows[].call.vol_coin_24h | number | coin | 原資産コイン単位の24h取引数量。 |
| rows[].call.vol_usd_24h | number | USD | 24hの想定元本ベースの出来高:取引されたコイン数量 × 現在の現物インデックス価格。プレミアム売買代金ではありません。 |
| rows[].call.vol_premium_usd_24h | number|null | USD | 取引所が公表している場合の24hプレミアム売買代金(オプション価格 × 数量)。それ以外は`null`。想定元本ベースの出来高に加算されることはありません。 |
| rows[].call.mark_price | number|null | — | オプションのマーク価格(建値単位。コイン決済契約ではコイン)。 |
| rows[].call.mark_price_usd | number|null | USD | USDに換算したオプションのマーク価格。 |
| rows[].call.mark_iv | number | % | マーク価格でのインプライドボラティリティ。 |
| rows[].call.bid_iv | number|null | % | 最良買い気配でのインプライドボラティリティ。取引所が公表していない場合は`null`。 |
| rows[].call.ask_iv | number|null | % | 最良売り気配でのインプライドボラティリティ。取引所が公表していない場合は`null`。 |
| rows[].call.delta | number|null | — | 取引所が公表するデルタ。公表されていない場合は`null`。 |
| rows[].call.gamma | number|null | — | 取引所が公表するガンマ。公表されていない場合は`null`。 |
| rows[].call.vega | number|null | — | 取引所が公表するベガ。公表されていない場合は`null`。 |
| rows[].call.theta | number|null | — | 取引所が公表するセータ。公表されていない場合は`null`。 |
| rows[].call.observed_at | number | ms | ソースがデータに付与したタイムスタンプ。 |
| rows[].put | object | — | この権利行使価格のプット契約。取引所が上場していない場合は`null`。 |
| rows[].put.instrument | string | — | 取引所の表記どおりの契約名。 |
| rows[].put.oi_contracts | number | contracts | 取引所の数え方による契約数ベースの建玉。 |
| rows[].put.oi_coin | number | coin | 原資産コイン単位の建玉。 |
| rows[].put.oi_usd | number | USD | USD建て想定元本としての建玉:コイン数量 × 現物インデックス価格。片側。 |
| rows[].put.vol_contracts_24h | number | contracts | 取引所の数え方による契約数ベースの24h出来高。 |
| rows[].put.vol_coin_24h | number | coin | 原資産コイン単位の24h取引数量。 |
| rows[].put.vol_usd_24h | number | USD | 24hの想定元本ベースの出来高:取引されたコイン数量 × 現在の現物インデックス価格。プレミアム売買代金ではありません。 |
| rows[].put.vol_premium_usd_24h | number|null | USD | 取引所が公表している場合の24hプレミアム売買代金(オプション価格 × 数量)。それ以外は`null`。想定元本ベースの出来高に加算されることはありません。 |
| rows[].put.mark_price | number | — | オプションのマーク価格(建値単位。コイン決済契約ではコイン)。 |
| rows[].put.mark_price_usd | number | USD | USDに換算したオプションのマーク価格。 |
| rows[].put.mark_iv | number | % | マーク価格でのインプライドボラティリティ。 |
| rows[].put.bid_iv | number|null | % | 最良買い気配でのインプライドボラティリティ。取引所が公表していない場合は`null`。 |
| rows[].put.ask_iv | number|null | % | 最良売り気配でのインプライドボラティリティ。取引所が公表していない場合は`null`。 |
| rows[].put.delta | number|null | — | 取引所が公表するデルタ。公表されていない場合は`null`。 |
| rows[].put.gamma | number|null | — | 取引所が公表するガンマ。公表されていない場合は`null`。 |
| rows[].put.vega | number|null | — | 取引所が公表するベガ。公表されていない場合は`null`。 |
| rows[].put.theta | number|null | — | 取引所が公表するセータ。公表されていない場合は`null`。 |
| rows[].put.observed_at | number | ms | ソースがデータに付与したタイムスタンプ。 |
| coverage | object | — | 数値に含まれるものと含まれないもの。他のソースと合計値を比較する前に、まずこの内容を比較してください。 |
| coverage.included_exchanges | array | — | 鮮度内のデータが算入されているソース。 |
| coverage.included_exchanges[] | string | — | 鮮度内のデータが算入されているソース。 |
| coverage.unavailable | array | — | 算入できなかったソース。それぞれ理由が付きます。0としてカウントされることはありません。 この表の生成に使用したサンプルでは空 |
| coverage.stale_excluded | array | — | 最終更新が鮮度ウィンドウの外にあるため除外された行。 この表の生成に使用したサンプルでは空 |
| coverage.field_gaps | array | — | 取引所が公表していない列。その取引所では`null`になります。 |
| coverage.field_gaps[] | object | — | 取引所が公表していない列。その取引所では`null`になります。 |
| coverage.field_gaps[].exchange | string | — | 取引所ID(小文字)。 |
| coverage.field_gaps[].fields | array | — | 欠落している列の名前。 |
| coverage.field_gaps[].fields[] | string | — | 欠落している列の名前。 |
| coverage.field_gaps[].kind | string | — | 契約ファミリー:`inverse`(コイン決済)または`linear`(ステーブルコイン決済)。 |
| method | object | — | このレスポンスで使用した計算式を平文で記述したもの。フィールドごとに1エントリー。 |
| method.chain | string | — | `chain`の計算式に関する注記(平文)。 |
| method.kind | string | — | `kind`の計算式に関する注記(平文)。 |
| method.oi_usd | string | — | `oi_usd`の計算式に関する注記(平文)。 |
| method.mark_price | string | — | `mark_price`の計算式に関する注記(平文)。 |
| method.iv | string | — | `iv`の計算式に関する注記(平文)。 |
| method.greeks | string | — | `greeks`の計算式に関する注記(平文)。 |
| method.vol_usd_24h | string | — | `vol_usd_24h`の計算式に関する注記(平文)。 |
| method.vol_premium_usd_24h | string | — | `vol_premium_usd_24h`の計算式に関する注記(平文)。 |
| meta | object | — | このレスポンスのデータリネージと鮮度。 |
| meta.schema | string | — | このレスポンスのスキーマID。既存フィールドの意味または型が変わった場合にのみ変更されます。 |
| meta.source | array | — | データの収集元である上流の公開エンドポイント。 |
| meta.source[] | object | — | データの収集元である上流の公開エンドポイント。 |
| meta.source[].exchange | string | — | 取引所ID(小文字)。 |
| meta.source[].endpoint | string | — | コレクターが読み取るソースの公開エンドポイント(データリネージのために表示。クライアントが呼び出すことはありません)。 |
| meta.observed_at | number | ms | ソースがデータに付与したタイムスタンプ。 |
| meta.received_at | number | ms | CoinBossのコレクターがデータを受信した時刻。 |
| meta.fetched_at | number | ms | このレスポンスが組み立てられた時刻。 |
| meta.window | string | — | 数値が対象とする時間ウィンドウ。 |
| meta.quality | string | — | FRESH、PARTIAL、STALE、BROKEN、UNAVAILABLEのいずれか。データのタイムスタンプとカバレッジから判定します。 |
| meta.is_stale | boolean | — | データが鮮度ウィンドウより古い場合はtrue。 |
| meta.cache_ttl_s | number | s | このレスポンスのキャッシュ有効期間。 |
| meta.fallback | string | — | コレクターまたはソースに障害が発生した場合にエンドポイントが返す内容。 |
2026-11-11 23:00 UTCに3件の実レスポンスから生成。
レスポンス例
/api/sd/options/chain?coin=BTC&exchange=okx · 実際のレスポンス(2026-11-13 03:52:54 UTCに取得)。 長い配列とマップは表示用に短縮しています:rowsは45件; expiries_availableは12件。
- "success"true
- "schema""coinboss.sd.options/1"
- "now"1794541974766
- "coin""BTC"
- "exchange""okx"
- "expiry""2026-11-13"
- "expiry_ts"1794556800000
- "days_left"0.1716
- "kind""inverse"
- "kinds_available"
- "inverse"
- "linear"
- "expiries_available"
- "2026-11-13"
- "2026-11-14"
- "2026-11-15"
- "2026-11-16"
- "2026-11-20"
- "2026-11-27"
- "2026-12-04"
- "2026-12-25"
- "underlying""BTC-USD"
- "settle""BTC"
- "contract_size"0.01
- "underlying_price"71428.8359576
- "index_price"71417.4
- "total_strikes"45
- "limit"100
- "offset"0
- "returned"45
- "rows"
- "coverage"
- "included_exchanges"
- "unavailable"
- "stale_excluded"
- "field_gaps"
- "stale_included"
- "method"
- "chain""T-quote for one exchange, one expiry and one contract family: one row per strike (ascending) with the call and put legs; paginated by strike with limit (default…"
- "kind""inverse = coin-settled (Deribit BTC/ETH, OKX *-USD); linear = USD/USDT/USDC-settled. When an exchange lists both families for the expiry and kind is omitted, th…"
- "oi_usd""sum over contracts of oi_coin x that exchange's spot index price (USDT/USDC treated 1:1 as USD); oi_coin is open interest in units of the underlying coin after …"
- "mark_price""exchange-native quote: Deribit/OKX inverse in underlying coin per 1 coin; Binance in USDT per contract (contract_size coins); others in USD per 1 coin. mark_pri…"
- "iv""mark_iv / bid_iv / ask_iv in percent as published by the exchange (no-quote sentinels such as 0 or -1 are null)"
- "greeks""delta/gamma/vega/theta exactly as published by the exchange (OKX: Black-Scholes greeks in USD terms); never computed by CoinBoss; null where the exchange does n…"
- "vol_usd_24h""NOTIONAL 24h volume = sum of vol_coin (24h traded quantity in underlying coin) x the exchange's CURRENT spot index price; not premium turnover. Binance statisti…"
- "vol_premium_usd_24h""PREMIUM turnover (option price x quantity) as reported by the exchange: Deribit volume_usd, Binance amount, Gate sum(|size| x multiplier x price) from the 24h t…"
- "meta"
- "schema""coinboss.sd.options/1"
- "source"
- "observed_at"1794522472654
- "received_at"1794522473638
- "fetched_at"1794541974766
- "window""latest"
- "quality""STALE"
- "is_stale"true
- "cache_ttl_s"60
- "fallback""on collector failure the last stored rows are served: an exchange whose newest batch is older than 25 min (collector cycle is 10 min) is excluded from totals (l…"
検証済みサンプル
上の例に加えて、プローブは以下のパラメータでもこのエンドポイントを呼び出し、毎回スキーマを検証しています。
| パラメータ | HTTP | レイテンシ | 結果 |
|---|---|---|---|
| coin=ETH&exchange=deribit | 200 | 59 ms | 合格 STALE |
| coin=BTC&limit=5&exchange=bybit | 200 | 3 ms | 合格 STALE |
| coin=BTC | 400 | 1 ms | 合格 想定どおりのエラーを返す |
2026-11-13 03:28:17 UTCにチェック
詳細
- 認証
- 不要。公開エンドポイントです。
- レート制限
- IPごとに毎分1200リクエスト
- サーバーキャッシュ
- 60s
- エッジマイクロキャッシュ
- 10s
- 更新頻度
- コレクターは10分ごとに巡回します。取引所は、最後に成功した巡回から25分間、鮮度内と見なされます。
- ウィンドウ
- 1つの満期日の最新スナップショット。
- データソース
- Deribit、Binance、Bybit、OKX、Gate、Coincallの公開RESTオプションエンドポイントから、CoinBossが収集・保存しています(sd_opt_latest、sd_opt_summary_hourly)。第三者のアグリゲーターは介在しません。
- 取引所カバレッジ
- 6つのオプション取引所。選択した取引所にオプションが上場されていない銘柄は、HTTP 200とともに、nullのフィールド、`meta.quality = "UNAVAILABLE"`、および`coverage.unavailable`内の理由を返します。公開のオプションフィードがない取引所も同じ場所に記載されます。
- ページネーション
- オフセット方式:`limit`(最大500)と`offset`。レスポンスには`total_strikes`と`returned`が含まれます。
- ソート
- 権利行使価格の昇順。
- 単位
- USD notional = contracts × contract size × spot index price of the venue. `*_coin` fields are in units of the underlying coin. Implied volatility is in percent (55 = 55 %). `vol_premium_usd_24h` is premium turnover, reported separately and never added to notional volume.
- 算出方法
- Greeks and IV are passed through from the venue, not recomputed. A venue that does not publish a column returns `null` for it and the column is listed under `coverage.field_gaps`.
- タイムスタンプ
- フィールドの説明に別途記載がない限り、Unixエポックミリ秒(UTC)
- レスポンス形式
- json
- 安定性
- 安定版
- 提供開始
- 2026-11-11
ライブステータス
エンドポイントが報告するデータ品質はSTALEです
可用性(過去30日間)
406回のチェック中100%が合格
- 返されているがドキュメントに未記載: coverage.stale_included, coverage.stale_included[], coverage.stale_included[].exchange, coverage.stale_included[].age_s
エラー
失敗した呼び出しは、すべてのエンドポイントで共通の形式で返されます。一覧はエラーページにあります。 エラーとレート制限 →
| コード | HTTP | 意味 | 対処方法 |
|---|---|---|---|
| INVALID_PARAM | 400 | 必須パラメータが不足しているか、値が受け付けられません。該当するパラメータが特定できる場合は、`param`にその名前が入ります。 | そのまま再試行せず、リクエストを修正してください。 |
| UNAUTHORIZED | 401 | `CB-API-KEY`ヘッダーが送信されましたが、キーが不明か失効済みです。公開データにキーは不要です。ヘッダーを外すか、有効なキーを使用してください。 | そのまま再試行しないでください。 |
| FORBIDDEN | 403 | このルートは公開APIに含まれません(内部用またはアカウント専用)。 | 再試行しないでください。 |
| NOT_FOUND | 404 | 不明なルートであるか、リクエストされた銘柄 / 取引所 / ファンドが存在しません。 | 再試行せず、パスと識別子をカタログと照合してください。 |
| RATE_LIMITED | 429 | リクエスト数が1分あたりの上限を超えました。`Retry-After`に待機すべき秒数が示されます。 | `Retry-After`で示された時間だけ待ってから、バックオフ付きで再試行してください。 |
| INTERNAL | 500 | 予期しないサーバーエラーです。メッセージは意図的に汎用的な内容にしています。報告の際は`request_id`を引用してください。 | 数秒後に1回だけ再試行してください。解消しない場合は、リクエストIDを添えて報告してください。 |
| UPSTREAM_FAILED | 503 | このエンドポイントの背後にあるデータソースが時間内に応答しませんでした。鮮度切れの数値や代替の数値を代わりに返すことはありません。 | バックオフ付きで再試行し、ステータスページを確認してください。 |
| UNAVAILABLE | 501 / 503 | データセットが一時的に準備できていない(キャッシュのウォームアップ中)か、このエンドポイントに適法な公開ソースがまだありません。 | 時間をおいて再試行してください。仕様上利用できないエンドポイントは、カタログに明示されています。 |
| REQUEST_FAILED | 200 | 一部の古いエンドポイントは、HTTP 200で`success: false`を返します。HTTPステータスだけでなく、必ず`success`を確認してください。 | メッセージによって異なります。失敗したリクエストとして扱ってください。 |
試してみる
/api/sd/options/chain低下string — Coin symbol, case-insensitive (for example `BTC`). Missing or malformed values return 400.
string — Venue id. `all` is not accepted here: a chain belongs to one venue.
string — UTC expiry date as `YYYY-MM-DD`. Default: the nearest expiry. `all` is not accepted.
string — Contract family when the venue lists both coin-settled (`inverse`) and stablecoin-settled (`linear`) options. Default: the family with the larger open interest for that expiry.
integer · デフォルト 100 · 最小 1 · 最大 500 — Strikes per page (one row = one strike with its call and put).
integer · デフォルト 0 · 最小 0 · 最大 100000 — Number of strikes to skip.
https://www.coinboss.com/api/sd/options/chain?coin=BTC&exchange=okxこのカテゴリの他のエンドポイント
- オプションチェーン(単一取引所) /api/sd/options/chain
- 満期日別オプション /api/sd/options/expiries
- オプション履歴(1時間足) /api/sd/options/history
- オプション概要(全取引所) /api/sd/options/overview
- 権利行使価格別オプション /api/sd/options/strikes
- 銘柄ページのオプションサマリー /api/currency/options-summary
- オプションのインプライドボラティリティ:スマイル/タームストラクチャー /api/options/iv
- オプションのインプライドボラティリティ履歴 /api/options/iv-history
- オプションのマックスペイン /api/options/max-pain
- 満期日別オプションOI /api/options/oi-by-expiry
- 権利行使価格別オプションOI /api/options/oi-by-strike
- オプション概要 /api/options/overview
- オプション出来高の分布 /api/options/volume-dist